[Stable Update x32] 2018-03-17 - xorgproto, kernels 4.9 4.14, Firefox, systemd, LibreOffice, Chromium

update
stable
manjaro32

#1

Hello i686ers!

This is another large update set which updates kernels 4.9 and 4.14 (with extramodules), systemd, KDE, LibreOffice, Haskell packages, Python modules …

Of particular note is the xorgproto transition. You will be prompted to replace several of the following packages:

bigreqsproto  compositeproto  damageproto  dmxproto  dri2proto  dri3proto 
fixesproto  fontsproto  glproto  inputproto  kbproto  presentproto  printproto
randrproto  recordproto  renderproto  resourceproto  scrnsaverproto  videoproto
xcmiscproto  xextproto xf86dgaproto  xf86driproto  xf86miscproto  xf86vidmodeproto
xineramaproto  xproto

This is expected, say “yes” to all. :wink:


Anyone who would like to help out testing the upstream packages, please read the archlinux32 thread for details about how they automate their testing process and how to get involved:

https://bbs.archlinux32.org/viewtopic.php?id=171

(running this in an archlinux32 VM would be fine)


Available kernels

Series Version
linux316 3.16.55
linux41 4.1.49
linux44 4.4.121
linux49 4.9.87
linux414 4.14.27

archlinux32

If you find manjaro32 useful please consider donating to, or helping out with, archlinux32. It’s a small team taking on a huge project and any help will no doubt be very much appreciated.

Why aren’t the available packages/package versions the same as x86_64?

archlinux32 packages are based on Arch packages but may need editing to build correctly. Builds of less-popular packages are lower priority.

Manjaro-specific packages may lag behind x86_64 because there aren’t as many packagers. If you notice an important package is lagging please report it; at the moment it’s only me packaging for i686:

I’m only packaging current LTS kernels. Any marked as EOL are dropped. I’ll not be building the mainline kernel.

What about security updates?

I cannot guarantee timely security updates on x32-stable. If this is critical for you I recommend you switch to x32-testing or cherry-pick those packages from x32-testing or x32-unstable as they become available.

Something broke. Isn’t this meant to be stable?

“Stable” means “infrequently changing”, not “everything will work perfectly all the time”. If you want it to mean everything works, you need to help test the things you’re interested in.

What about installer images?

Phil very kindly updated the preview installer images:

There will be a new release as soon as I refresh myself on how to do it. :slight_smile:

What about x32-testing and x32-unstable?

These are already available, and I recommend you use x32-testing if you can to make sure testing is done.

x32-unstable should be used by anyone who wants to try and find any issues before they impact other people. If you have multiple/many machines you really should run one of those on x32-unstable.

Full list of changes

The full list is once again too long to post and so is available here.


Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters



[Testing Update x32] 2018-03-08 to 16 - xorgproto, Firefox, kernels 4.9 and 4.14, systemd, LibreOffice, KDE, Flash
#2

Known issues and solutions


removing fontsproto breaks dependency ‘fontsproto>=2.1.3’

libxfont has been replaced by libxfont2; remove libxfont and try again, e.g.:

sudo pacman -Rncs libxfont
sudo pacman -Syyu


#3

A quick-release update for Firefox 59.0.1:

:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                            chromium      65.0.3325.162-0                    -
                         flashplugin         29.0.0.113-0                    -
                        pepper-flash         29.0.0.113-0                    -


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                          artikulate          17.12.2-1.2          17.12.3-1.0
                             blinken          17.12.2-1.2          17.12.3-1.0
                              bomber          17.12.2-1.0          17.12.3-1.0
                                bovo          17.12.2-1.0          17.12.3-1.0
                              cantor          17.12.2-1.1          17.12.3-1.0
                            chromium    63.0.3239.132-3.0    65.0.3325.162-1.0
                             dolphin          17.12.2-1.0          17.12.3-1.0
                             firefox             59.0-2.0           59.0.1-1.0
                    firefox-i18n-ach             59.0-1.0           59.0.1-1.0
                     firefox-i18n-af             59.0-1.0           59.0.1-1.0
                     firefox-i18n-an             59.0-1.0           59.0.1-1.0
                     firefox-i18n-ar             59.0-1.0           59.0.1-1.0
                     firefox-i18n-as             59.0-1.0           59.0.1-1.0
                    firefox-i18n-ast             59.0-1.0           59.0.1-1.0
                     firefox-i18n-az             59.0-1.0           59.0.1-1.0
                     firefox-i18n-be             59.0-1.0           59.0.1-1.0
                     firefox-i18n-bg             59.0-1.0           59.0.1-1.0
                  firefox-i18n-bn-bd             59.0-1.0           59.0.1-1.0
                  firefox-i18n-bn-in             59.0-1.0           59.0.1-1.0
                     firefox-i18n-br             59.0-1.0           59.0.1-1.0
                     firefox-i18n-bs             59.0-1.0           59.0.1-1.0
                     firefox-i18n-ca             59.0-1.0           59.0.1-1.0
                    firefox-i18n-cak             59.0-1.0           59.0.1-1.0
                     firefox-i18n-cs             59.0-1.0           59.0.1-1.0
                     firefox-i18n-cy             59.0-1.0           59.0.1-1.0
                     firefox-i18n-da             59.0-1.0           59.0.1-1.0
                     firefox-i18n-de             59.0-1.0           59.0.1-1.0
                    firefox-i18n-dsb             59.0-1.0           59.0.1-1.0
                     firefox-i18n-el             59.0-1.0           59.0.1-1.0
                  firefox-i18n-en-gb             59.0-1.0           59.0.1-1.0
                  firefox-i18n-en-us             59.0-1.0           59.0.1-1.0
                  firefox-i18n-en-za             59.0-1.0           59.0.1-1.0
                     firefox-i18n-eo             59.0-1.0           59.0.1-1.0
                  firefox-i18n-es-ar             59.0-1.0           59.0.1-1.0
                  firefox-i18n-es-cl             59.0-1.0           59.0.1-1.0
                  firefox-i18n-es-es             59.0-1.0           59.0.1-1.0
                  firefox-i18n-es-mx             59.0-1.0           59.0.1-1.0
                     firefox-i18n-et             59.0-1.0           59.0.1-1.0
                     firefox-i18n-eu             59.0-1.0           59.0.1-1.0
                     firefox-i18n-fa             59.0-1.0           59.0.1-1.0
                     firefox-i18n-ff             59.0-1.0           59.0.1-1.0
                     firefox-i18n-fi             59.0-1.0           59.0.1-1.0
                     firefox-i18n-fr             59.0-1.0           59.0.1-1.0
                  firefox-i18n-fy-nl             59.0-1.0           59.0.1-1.0
                  firefox-i18n-ga-ie             59.0-1.0           59.0.1-1.0
                     firefox-i18n-gd             59.0-1.0           59.0.1-1.0
                     firefox-i18n-gl             59.0-1.0           59.0.1-1.0
                     firefox-i18n-gn             59.0-1.0           59.0.1-1.0
                  firefox-i18n-gu-in             59.0-1.0           59.0.1-1.0
                     firefox-i18n-he             59.0-1.0           59.0.1-1.0
                  firefox-i18n-hi-in             59.0-1.0           59.0.1-1.0
                     firefox-i18n-hr             59.0-1.0           59.0.1-1.0
                    firefox-i18n-hsb             59.0-1.0           59.0.1-1.0
                     firefox-i18n-hu             59.0-1.0           59.0.1-1.0
                  firefox-i18n-hy-am             59.0-1.0           59.0.1-1.0
                     firefox-i18n-id             59.0-1.0           59.0.1-1.0
                     firefox-i18n-is             59.0-1.0           59.0.1-1.0
                     firefox-i18n-it             59.0-1.0           59.0.1-1.0
                     firefox-i18n-ja             59.0-1.0           59.0.1-1.0
                     firefox-i18n-ka             59.0-1.0           59.0.1-1.0
                    firefox-i18n-kab             59.0-1.0           59.0.1-1.0
                     firefox-i18n-kk             59.0-1.0           59.0.1-1.0
                     firefox-i18n-km             59.0-1.0           59.0.1-1.0
                     firefox-i18n-kn             59.0-1.0           59.0.1-1.0
                     firefox-i18n-ko             59.0-1.0           59.0.1-1.0
                    firefox-i18n-lij             59.0-1.0           59.0.1-1.0
                     firefox-i18n-lt             59.0-1.0           59.0.1-1.0
                     firefox-i18n-lv             59.0-1.0           59.0.1-1.0
                    firefox-i18n-mai             59.0-1.0           59.0.1-1.0
                     firefox-i18n-mk             59.0-1.0           59.0.1-1.0
                     firefox-i18n-ml             59.0-1.0           59.0.1-1.0
                     firefox-i18n-mr             59.0-1.0           59.0.1-1.0
                     firefox-i18n-ms             59.0-1.0           59.0.1-1.0
                     firefox-i18n-my             59.0-1.0           59.0.1-1.0
                  firefox-i18n-nb-no             59.0-1.0           59.0.1-1.0
                     firefox-i18n-nl             59.0-1.0           59.0.1-1.0
                  firefox-i18n-nn-no             59.0-1.0           59.0.1-1.0
                     firefox-i18n-or             59.0-1.0           59.0.1-1.0
                  firefox-i18n-pa-in             59.0-1.0           59.0.1-1.0
                     firefox-i18n-pl             59.0-1.0           59.0.1-1.0
                  firefox-i18n-pt-br             59.0-1.0           59.0.1-1.0
                  firefox-i18n-pt-pt             59.0-1.0           59.0.1-1.0
                     firefox-i18n-rm             59.0-1.0           59.0.1-1.0
                     firefox-i18n-ro             59.0-1.0           59.0.1-1.0
                     firefox-i18n-ru             59.0-1.0           59.0.1-1.0
                     firefox-i18n-si             59.0-1.0           59.0.1-1.0
                     firefox-i18n-sk             59.0-1.0           59.0.1-1.0
                     firefox-i18n-sl             59.0-1.0           59.0.1-1.0
                    firefox-i18n-son             59.0-1.0           59.0.1-1.0
                     firefox-i18n-sq             59.0-1.0           59.0.1-1.0
                     firefox-i18n-sr             59.0-1.0           59.0.1-1.0
                  firefox-i18n-sv-se             59.0-1.0           59.0.1-1.0
                     firefox-i18n-ta             59.0-1.0           59.0.1-1.0
                     firefox-i18n-te             59.0-1.0           59.0.1-1.0
                     firefox-i18n-th             59.0-1.0           59.0.1-1.0
                     firefox-i18n-tr             59.0-1.0           59.0.1-1.0
                     firefox-i18n-uk             59.0-1.0           59.0.1-1.0
                     firefox-i18n-ur             59.0-1.0           59.0.1-1.0
                     firefox-i18n-uz             59.0-1.0           59.0.1-1.0
                     firefox-i18n-vi             59.0-1.0           59.0.1-1.0
                     firefox-i18n-xh             59.0-1.0           59.0.1-1.0
                  firefox-i18n-zh-cn             59.0-1.0           59.0.1-1.0
                  firefox-i18n-zh-tw             59.0-1.0           59.0.1-1.0
                           granatier          17.12.2-1.0          17.12.3-1.0
                            harfbuzz            1.7.5-1.0            1.7.6-1.0
                        harfbuzz-icu            1.7.5-1.0            1.7.6-1.0
                                js52           52.5.2-1.0           52.7.0-1.0
                             kajongg          17.12.2-1.0          17.12.3-1.0
                            kalgebra          17.12.2-1.0          17.12.3-1.0
                             kalzium          17.12.2-1.0          17.12.3-1.0
                            kanagram          17.12.2-1.0          17.12.3-1.0
                                kate          17.12.2-1.0          17.12.3-1.0
                              kbruch          17.12.2-1.0          17.12.3-1.0
                               kcron          17.12.2-1.0          17.12.3-1.0
                             kdialog          17.12.2-1.0          17.12.3-1.0
                      keditbookmarks          17.12.2-1.0          17.12.3-1.0
                               kfind          17.12.2-1.0          17.12.3-1.0
                          kgeography          17.12.2-1.0          17.12.3-1.0
                            khangman          17.12.2-1.0          17.12.3-1.0
                         khelpcenter          17.12.2-1.0          17.12.3-1.0
                                 kig          17.12.2-1.0          17.12.3-1.0
                               kiten          17.12.2-1.0          17.12.3-1.0
                            klettres          17.12.2-1.0          17.12.3-1.0
                              kmouth          17.12.2-1.0          17.12.3-1.0
                              kmplot          17.12.2-1.0          17.12.3-1.0
                             konsole          17.12.2-1.0          17.12.3-1.0
                  kross-interpreters          17.12.2-1.0          17.12.3-1.0
                          ksystemlog          17.12.2-1.0          17.12.3-1.0
                              ktouch          17.12.2-1.0          17.12.3-1.0
                             kturtle          17.12.2-1.0          17.12.3-1.0
                           kwordquiz          17.12.2-1.0          17.12.3-1.0
                              kwrite          17.12.2-1.0          17.12.3-1.0
                           libvorbis              1.3.5-1            1.3.6-1.0
                              marble          17.12.2-1.0          17.12.3-1.0
                       marble-common          17.12.2-1.0          17.12.3-1.0
                           marble-qt          17.12.2-1.0          17.12.3-1.0
                              minuet          17.12.2-1.0          17.12.3-1.0
                              parley          17.12.2-1.0          17.12.3-1.0
                                rocs          17.12.2-1.0          17.12.3-1.0
                                step          17.12.2-1.0          17.12.3-1.0
                           syslog-ng           3.13.2-2.0           3.14.1-1.0


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                       dmenu-manjaro                4.7-2                4.8-1
            manjaro-awesome-settings           20180316-1           20180317-1
            manjaro-browser-settings           20180316-1           20180317-1
     manjaro-browser-settings-native           20180106-1           20180317-1
         manjaro-bspwm-mate-settings           20180316-1           20180317-1
              manjaro-bspwm-settings           20180316-1           20180317-1
      manjaro-bspwm-settings-minimal           20180316-1           20180317-1
             manjaro-budgie-settings           20180316-1           20180317-1
                manjaro-jwm-settings           20180316-1           20180317-1
        manjaro-kde-minimal-settings           20171125-1           20180317-1
                manjaro-kde-settings           20171125-1           20180317-1
               manjaro-lxde-settings           20180316-1           20180317-1
               manjaro-mate-settings           20180316-1           20180317-1
            manjaro-openbox-settings           20180316-1           20180317-1
                       pamac-classic              6.6.3-1              6.6.4-1
                           timeshift            v18.1.1-1              v18.2-1
                          vala-panel             0.3.70-1             0.3.74-1


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                   deepin-calculator            1.0.1-1.0            1.0.2-1.0
                              eslint           4.18.2-1.0           4.19.0-1.0
                         geckodriver             0.19.0-1           0.20.0-1.0
                           git-annex      6.20180227-41.0       6.20180316-1.0
                       haskell-cairo         0.13.4.2-3.0         0.13.4.2-4.0
                        haskell-glib         0.13.5.0-3.0         0.13.5.0-4.0
                       haskell-pango         0.13.4.0-7.0         0.13.4.0-8.0
                   haskell-setlocale          1.0.0.5-4.0          1.0.0.6-1.0
               haskell-stringbuilder            0.5.1-2.0            0.5.1-3.0
      libreoffice-extension-texmaths             0.44-1.0             0.45-1.0
                                 nbd             3.16.2-2             3.17-1.0
               python-flask-talisman            0.4.1-1.0            0.5.0-1.0
                         python-mox3           0.24.0-1.0           0.25.0-1.0
                      python-pytools           2018.2-1.0           2018.3-1.0
                     python-selenium            3.9.0-1.0           3.10.0-1.0
                         python-tqdm           4.19.7-1.0           4.19.8-1.0
                         python-xlib             0.21-1.0             0.22-1.0
              python2-flask-talisman            0.4.1-1.0            0.5.0-1.0
                        python2-ldap             2.4.40-1            3.0.0-1.0
                        python2-mox3           0.24.0-1.0           0.25.0-1.0
                     python2-pytools           2018.2-1.0           2018.3-1.0
                    python2-selenium            3.9.0-1.0           3.10.0-1.0
                        python2-tqdm           4.19.7-1.0           4.19.8-1.0
                        python2-xlib             0.21-1.0             0.22-1.0
                          ruby-cairo          1.15.11-2.0          1.15.12-1.0
                                wine              3.3-1.0              3.4-1.0
                        wine-staging              3.3-1.0              3.4-1.0
                              xmonad            0.13-12.4            0.13-13.0
                      xmonad-contrib            0.13-10.4            0.13-11.0
                                 zim             0.67-1.1             0.68-1.0

#4

Wow! 158 updates without a single problem!

And Falkon replaced Qupzilla, good news.

Great work, thank you :+1:


#5

Killed X11 session during update, had to finish it in tty, rebooted after and everything seems to be fine.
Also i had to install falkon, it wasn’t installed after qupzilla removal. Other than that every other update was installed.


#6

kget doesn’t work. Also i’m not sure it was this update, i wasn’t using it for a few months already.
It doesn’t start and in a console i get these 2 lines indefinitely:

kget: KIOFACTORY createTRANSFER
Protocol = “https”


#7

When I try this, I get:

sudo pacman -Rncs libxfont
checking dependencies...
:: groff optionally requires libxaw: for gxditview
:: lightdm optionally requires xorg-server-xephyr: LightDM test mode

Packages (16) catalyst-server-1.17.4-5  catalyst-utils-1:15.201.1151-11.0  catalyst-video-2016.09-1  dri2proto-2.8-2
              fontsproto-2.1.3-2  libxaw-1.0.13-1  libxvmc-1.0.10-1  linux318-catalyst-1:15.201.1151-26
              linux41-catalyst-1:15.201.1151-30  linux44-catalyst-1:15.201.1151-82  xdg-su-1.2.3-1
              xorg-fonts-misc-1.0.3-5  xorg-setxkbmap-1.3.1-1  xorg-util-macros-1.19.1-1  xorg-xkbcomp-1.4.1-1.0
              libxfont-1.5.3-1

That doesn’t look right. What should I do?


#8

Oh, Catalyst. Why do you still exist?

I don’t suppose you’d consider switching to a supported driver and an up-to-date and maintained Xorg, would you?


#9

Snapping this over for kernel 4.4:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                        kernel-alive                0.3-1                0.3-2
                             linux44            4.4.120-1            4.4.121-1
                     linux44-headers            4.4.120-1            4.4.121-1
                     manjaro-release             17.1.5-1             17.1.6-1
                      manjaro-system         20180107-2.0           20180318-1


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                     linux316-nvidia           1:390.25-3           1:390.42-1
                        linux316-spl              0.7.5-6              0.7.6-1
                        linux316-zfs              0.7.5-6              0.7.6-1
                     linux414-nvidia           1:390.25-9           1:390.42-2
                   linux44-acpi_call             1.1.0-86           1.1.0-86.1
                 linux44-broadcom-wl      6.30.223.271-56    6.30.223.271-56.1
                 linux44-ndiswrapper              1.61-54            1.61-54.1
                      linux44-nvidia           1:390.25-5         1:390.42-1.1
                linux44-nvidia-304xx         1:304.137-21       1:304.137-21.1
                linux44-nvidia-340xx            340.106-8          340.106-8.1
       linux44-open-vm-tools-modules      2:2013.09.16-86    2:2013.09.16-86.1
                       linux44-r8168           8.045.08-8         8.045.08-8.1
                   linux44-rt3562sta        2.4.1.1_r4-54      2.4.1.1_r4-54.1
                         linux44-spl             0.7.5-10            0.7.6-1.1
                 linux44-vhba-module          20161009-54        20161009-54.1
    linux44-virtualbox-guest-modules              5.2.8-1            5.2.8-1.1
     linux44-virtualbox-host-modules              5.2.8-1            5.2.8-1.1
                         linux44-zfs             0.7.5-10            0.7.6-1.1
                      linux49-nvidia           1:390.25-6           1:390.42-1
                         mhwd-nvidia           1:390.25-3           1:390.42-1
                        nvidia-utils           1:390.25-3           1:390.42-1
                       opencl-nvidia           1:390.25-3           1:390.42-1

#10

Sure, if you could let me know what I need to do! Will I get good performance from the new driver?


#11

Thinking about it, libxfont should have been updated to maintain support for Catalyst (as with x86_64). Are you asked to remove it?

Not sure - I’ve not done it myself without a reinstall; it should be a case of using MSM (or mhwd) to switch to the free driver.

Depends what you’re doing with it. I assume you’re not trying to play current games using Catalyst, so overall performance should be fine.


#12

This is the message I get when trying to do the system upgrade:

:: libxfont: removing fontsproto breaks dependency 'fontsproto>=2.1.3'

I am not asked to remove libxfont.


#13

OK, there’s now the “fixed” version that Phil made for x86_64 built and uploaded for i686. Keep an eye out for libxfont=1.5.3-2.


#14

OK. So do I have to wait for the updated libxfont before I can update my system? Should I switch to the free video driver in the mean time?


#15

Either wait or switch, you don’t need to do both. Though, I’d still recommend you consider switching to the open-source (not Catalyst) driver so you benefit from the newer Xorg and Mesa etc.


#16

Update on 1 Machine and 1 VB without Problems.

DK3


#17

Arggg. Switched to video-linux using mhwd, now lightdm.service won’t start. “Failed with result ‘core-dump’”… Any ideas?


#18

@BS86 posted a complete procedure several times. It is worth searching.
https://forum.manjaro.org/search?q=%40BS86%20catalyst%20
Edit: I see you already in a mess. To switch you need to to remove the old Xorg which is meant for Catalyst. I doubt that mhwd will do it.


#19

Yah. I was about to tell you that I had already switched. Was looking for the “quote” button. I cannot figure out how to quote a message!!

Anyway, how do I remove Xorg? And once I do, do I need to rerun mhwd?

Edit: I have started a new thread to discuss my issue… Thanks for the help.


#20

This topic was automatically closed after 33 hours. New replies are no longer allowed.